// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: get_contracts_waiting_for_signature_count.sql

package queries

import (
	"context"

	"github.com/jackc/pgx/v5/pgtype"
)

const getContractsWaitingForSignatureCount = `-- name: GetContractsWaitingForSignatureCount :one

SELECT
    count(*) as contract_waiting_for_signature
FROM contracts.contracts_with_state AS c
WHERE
    c.state = 'proposed' AND ($1::timestamp with time zone IS NULL OR c.created_at < $1::timestamp with time zone)
`

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) GetContractsWaitingForSignatureCount(ctx context.Context, createdBeforeDate pgtype.Timestamptz) (int64, error) {
	row := q.db.QueryRow(ctx, getContractsWaitingForSignatureCount, createdBeforeDate)
	var contract_waiting_for_signature int64
	err := row.Scan(&contract_waiting_for_signature)
	return contract_waiting_for_signature, err
}
